org.apache.tinkerpop.gremlin.process.traversal

## Enum SackFunctions.Barrier

- java.lang.Object
- - java.lang.Enum<SackFunctions.Barrier>
  - - org.apache.tinkerpop.gremlin.process.traversal.SackFunctions.Barrier

- All Implemented Interfaces:
    Serializable, Comparable<SackFunctions.Barrier>, Consumer<org.apache.tinkerpop.gremlin.process.traversal.traverser.util.TraverserSet<Object>>
  Enclosing class:
    SackFunctions

      public static enum SackFunctions.Barrier
      extends Enum<SackFunctions.Barrier>
      implements Consumer<org.apache.tinkerpop.gremlin.process.traversal.traverser.util.TraverserSet<Object>>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `normSack`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SackFunctions.Barrier` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SackFunctions.Barrier[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Consumer

      `accept, andThen`

- - ### Enum Constant Detail

    - #### normSack

          public static final SackFunctions.Barrier normSack

  - ### Method Detail

    - #### values

          public static SackFunctions.Barrier[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SackFunctions.Barrier c : SackFunctions.Barrier.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SackFunctions.Barrier valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.